Gnome Update Error?

Everything about X, Gnome, KDE, ... and everything running on it

Gnome Update Error?

Postby eddowii » 2015-05-03 08:24

Hello,

I have recently updated my GNOME installation from 3.x to 3.14. Suddenly, there are many glitches. The power buttons on the power menu does nothing, I am forced to shut down via the terminal, everything goes black every now and again, and there is a weird colour pattern behind some icons when I hover over them. But most importantly, the icons and text do not show up on the "Activities -> Show Applications -> All" menu. They still there, as you can see the opening animation before they disappear, and I can click on them, but you just can't see them. The "Frequent" menu works fine. Here is a YouTube video I have made to explain my problem.

https://www.youtube.com/watch?v=nGFpGJ9JhjA

Cheers,

Eddie.

P.S. Yes, I did change the icons, but this was after these problems started happening, and so it should be un-related.
eddowii
 
Posts: 9
Joined: 2015-05-02 20:18

Re: Gnome Update Error?

Postby Head_on_a_Stick » 2015-05-03 08:54

eddowii wrote:I have recently updated my GNOME installation from 3.x to 3.14.

Please describe in as much detail as possible how exactly you did this.
"Men are born ignorant, not stupid. They are made stupid by education." — Bertrand Russell
User avatar
Head_on_a_Stick
 
Posts: 7178
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Gnome Update Error?

Postby eddowii » 2015-05-03 08:59

IIRC, I tried to install Fritzing, (using sudo apt-get install Fritzing) and it said it required libglib2.0-0, and so I tried to install that, using sudo apt-get again. Unfortunately, there was an error, it said that it conflicted with glib-networking, so I removed said application. I rebooted, and GNOME did not work. I mean, it was like GNOME was not installed. (on a side-note, startx has never done anything) So I did "sudo apt-get install gnome" and reinstalled GNOME.
eddowii
 
Posts: 9
Joined: 2015-05-02 20:18

Re: Gnome Update Error?

Postby Head_on_a_Stick » 2015-05-03 10:15

Please post the output of:
Code: Select all
cat /etc/apt/sources.list
ls /etc/apt/sources.list.d
apt-cache policy

Please use code tags when posting terminal output -- use the "Quote" button on this post to see how I have done this.
"Men are born ignorant, not stupid. They are made stupid by education." — Bertrand Russell
User avatar
Head_on_a_Stick
 
Posts: 7178
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Gnome Update Error?

Postby eddowii » 2015-05-03 16:43

Here's the result, sorry for the delay.

Code: Select all
eddie@BOYSDEB:~$ cat /etc/apt/sources.list


outputs

Code: Select all
##

# deb cdrom:[Debian GNU/Linux 7.8.0 _Wheezy_ - Official i386 NETINST Binary-1 20150110-13:31]/ wheezy main

# deb cdrom:[Debian GNU/Linux 7.8.0 _Wheezy_ - Official i386 NETINST Binary-1 20150110-13:31]/ wheezy main

# deb http://security.debian.org/ wheezy/updates main
# deb-src http://security.debian.org/ wheezy/updates main

#Edited on 10 APR 2015 15:47
deb http://ftp.uk.debian.org/debian stable main contrib non-free
deb http://ftp.debian.org/debian/ wheezy-updates main contrib non-free
deb http://security.debian.org/ wheezy/updates main contrib non-free
#Done Editing.
deb http://cdn.debian.net/debian wheezy-backports main
deb http://ftp.de.debian.org/debian squeeze main
deb http://ftp.de.debian.org/debian wheezy main


--------------------------

Code: Select all
eddie@BOYSDEB:~$ ls /etc/apt/sources.list.d


outputs

Code: Select all
dropbox.list.save               webupd8team-java.list
gnome3-team-gnome3-wheezy.list  webupd8team-java.list.save
google-chrome.list              webupd8team-java-wheezy.list
google-chrome.list.save         webupd8team-java-wheezy.list.save
mono-xamarin.list               webupd8team-popcorntime.list
mono-xamarin.list.save          webupd8team-popcorntime.list.save


--------------------------

Code: Select all
eddie@BOYSDEB:~$ apt-cache policy


outputs

Code: Select all
Package files:
 100 /var/lib/dpkg/status
     release a=now
 500 http://ppa.launchpad.net/webupd8team/popcorntime/ubuntu/ trusty/main Translation-en
 500 http://ppa.launchpad.net/webupd8team/popcorntime/ubuntu/ trusty/main i386 Packages
     release v=14.04,o=LP-PPA-webupd8team-popcorntime,a=trusty,n=trusty,l=Popcorn Time,c=main
     origin ppa.launchpad.net
 500 http://ppa.launchpad.net/webupd8team/java/ubuntu/ trusty/main Translation-en
 500 http://ppa.launchpad.net/webupd8team/java/ubuntu/ trusty/main i386 Packages
     release v=14.04,o=LP-PPA-webupd8team-java,a=trusty,n=trusty,l=Oracle Java (JDK) 7 / 8 / 9 Installer PPA,c=main
     origin ppa.launchpad.net
 500 http://download.mono-project.com/repo/debian/ wheezy/main i386 Packages
     release v=7.0,o=Xamarin,a=stable,n=wheezy,l=Xamarin-Stable,c=main
     origin download.mono-project.com
 500 http://dl.google.com/linux/chrome/deb/ stable/main i386 Packages
     release v=1.0,o=Google, Inc.,a=stable,n=stable,l=Google,c=main
     origin dl.google.com
 500 http://ftp.de.debian.org/debian/ wheezy/main Translation-en
 500 http://ftp.de.debian.org/debian/ wheezy/main i386 Packages
     release v=7.8,o=Debian,a=oldstable,n=wheezy,l=Debian,c=main
     origin ftp.de.debian.org
 500 http://ftp.de.debian.org/debian/ squeeze/main i386 Packages
     release v=6.0.10,o=Debian,a=oldoldstable,n=squeeze,l=Debian,c=main
     origin ftp.de.debian.org
 500 http://cdn.debian.net/debian/ wheezy-backports/main Translation-en
 100 http://cdn.debian.net/debian/ wheezy-backports/main i386 Packages
     release o=Debian Backports,a=wheezy-backports,n=wheezy-backports,l=Debian Backports,c=main
     origin cdn.debian.net
 500 http://security.debian.org/ wheezy/updates/non-free Translation-en
 500 http://security.debian.org/ wheezy/updates/main Translation-en
 500 http://security.debian.org/ wheezy/updates/contrib Translation-en
 500 http://security.debian.org/ wheezy/updates/non-free i386 Packages
     release v=7.0,o=Debian,a=oldstable,n=wheezy,l=Debian-Security,c=non-free
     origin security.debian.org
 500 http://security.debian.org/ wheezy/updates/contrib i386 Packages
     release v=7.0,o=Debian,a=oldstable,n=wheezy,l=Debian-Security,c=contrib
     origin security.debian.org
 500 http://security.debian.org/ wheezy/updates/main i386 Packages
     release v=7.0,o=Debian,a=oldstable,n=wheezy,l=Debian-Security,c=main
     origin security.debian.org
 500 http://ftp.debian.org/debian/ wheezy-updates/non-free Translation-en
 500 http://ftp.debian.org/debian/ wheezy-updates/main Translation-en
 500 http://ftp.debian.org/debian/ wheezy-updates/contrib Translation-en
 500 http://ftp.debian.org/debian/ wheezy-updates/non-free i386 Packages
     release o=Debian,a=oldstable-updates,n=wheezy-updates,l=Debian,c=non-free
     origin ftp.debian.org
 500 http://ftp.debian.org/debian/ wheezy-updates/contrib i386 Packages
     release o=Debian,a=oldstable-updates,n=wheezy-updates,l=Debian,c=contrib
     origin ftp.debian.org
 500 http://ftp.debian.org/debian/ wheezy-updates/main i386 Packages
     release o=Debian,a=oldstable-updates,n=wheezy-updates,l=Debian,c=main
     origin ftp.debian.org
 500 http://ftp.uk.debian.org/debian/ stable/non-free Translation-en
 500 http://ftp.uk.debian.org/debian/ stable/main Translation-en
 500 http://ftp.uk.debian.org/debian/ stable/contrib Translation-en
 500 http://ftp.uk.debian.org/debian/ stable/non-free i386 Packages
     release v=8.0,o=Debian,a=stable,n=jessie,l=Debian,c=non-free
     origin ftp.uk.debian.org
 500 http://ftp.uk.debian.org/debian/ stable/contrib i386 Packages
     release v=8.0,o=Debian,a=stable,n=jessie,l=Debian,c=contrib
     origin ftp.uk.debian.org
 500 http://ftp.uk.debian.org/debian/ stable/main i386 Packages
     release v=8.0,o=Debian,a=stable,n=jessie,l=Debian,c=main
     origin ftp.uk.debian.org
Pinned packages:
eddowii
 
Posts: 9
Joined: 2015-05-02 20:18

Re: Gnome Update Error?

Postby Head_on_a_Stick » 2015-05-03 16:49

You have lots of Ubuntu PPAs -- this is a bad idea.

You have "Stable" in your sources.list as well as "Wheezy" and this means you now have a mixed Wheezy & Jessie system (Jessie transferred to Stable last weekend); and Squeeze as well -- quite a combination.

Please read the bottom link in my signature.

You will probably have to re-install -- I have no experience of fixing FrankenDebian systems...

Perhaps a more expert forum member will be able to offer more help.
"Men are born ignorant, not stupid. They are made stupid by education." — Bertrand Russell
User avatar
Head_on_a_Stick
 
Posts: 7178
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Gnome Update Error?

Postby eddowii » 2015-05-03 16:57

Thanks, I will try a few things, and report back here later.
eddowii
 
Posts: 9
Joined: 2015-05-02 20:18

Re: Gnome Update Error?

Postby confuseling » 2015-05-03 16:59

Arrrgh! It burns mine eyes! :)

You should probably reinstall, it'll be a lot easier.

I'm no expert either, but if you want to try to recover it, basically back up your data, run

Code: Select all
apt-show-versions | grep -v stable | grep -v 'not installed'


(you might need to exchange 'jessie' for 'stable', depends if it follows the sources, I don't know) and uninstall anything that shows up. There might be some bits you can't uninstall, maybe you can use 'apt-get -t stable install <package>' to up/downgrade them, if not leave them for now.

Then remove everything from the sources apart from Jessie, try to complete an upgrade to Jessie (check the release notes). Then repeat the process of trying to remove anything that isn't from Jessie.

But yeah, I'd call it a learning experience and reinstall. And never make a Frankendebian again.
The Forum's search box is terrible. Use site specific search, e.g.
https://www.google.com/search?q=site%3A ... terms+here
confuseling
 
Posts: 2144
Joined: 2009-10-21 01:03

Re: Gnome Update Error?

Postby eddowii » 2015-05-04 08:07

Thanks, however I already fixed this myself before reading your post. I did:
Code: Select all
sudo apt-get dist-upgrade

And then I installed burg.
Afterwards, I removed all of the UBUNTU PPAs, and all of the unnecessary sources.
My sources list is now the following:
Code: Select all
##

# deb cdrom:[Debian GNU/Linux 7.8.0 _Wheezy_ - Official i386 NETINST Binary-1 2$

# deb cdrom:[Debian GNU/Linux 7.8.0 _Wheezy_ - Official i386 NETINST Binary-1 2$

# deb http://security.debian.org/ wheezy/updates main
# deb-src http://security.debian.org/ wheezy/updates main

#Edited on 10 APR 2015 15:47
deb http://ftp.uk.debian.org/debian stable main contrib non-free

P.S. I am not a n00b, I just haven't needed to use this forum before. :lol:
eddowii
 
Posts: 9
Joined: 2015-05-02 20:18

Re: Gnome Update Error?

Postby dilberts_left_nut » 2015-05-04 09:22

eddowii wrote:P.S. I am not a n00b,

Your sources.list says otherwise ... :wink:
AdrianTM wrote:There's no hacker in my grandma...
User avatar
dilberts_left_nut
 
Posts: 4767
Joined: 2009-10-05 07:54
Location: enzed

Re: Gnome Update Error?

Postby Head_on_a_Stick » 2015-05-04 09:26

eddowii wrote:Thanks, however I already fixed this myself before reading your post. I did:
Code: Select all
sudo apt-get dist-upgrade

Yeah, good luck with that...
"Men are born ignorant, not stupid. They are made stupid by education." — Bertrand Russell
User avatar
Head_on_a_Stick
 
Posts: 7178
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Gnome Update Error?

Postby eddowii » 2015-05-04 10:34

Image
I like GIMP.
eddowii
 
Posts: 9
Joined: 2015-05-02 20:18

Re: Gnome Update Error?

Postby eddowii » 2015-05-04 10:35

dilberts_left_nut wrote:
eddowii wrote:P.S. I am not a n00b,

Your sources.list says otherwise ... :wink:

I did not edit that file. I genuinely have no idea why the file was in that state.
eddowii
 
Posts: 9
Joined: 2015-05-02 20:18

Re: Gnome Update Error?

Postby eddowii » 2015-05-04 10:37

Head_on_a_Stick wrote:
eddowii wrote:Thanks, however I already fixed this myself before reading your post. I did:
Code: Select all
sudo apt-get dist-upgrade

Yeah, good luck with that...

It worked, and I am now fixed.
eddowii
 
Posts: 9
Joined: 2015-05-02 20:18

Re: Gnome Update Error?

Postby fireExit » 2015-05-04 14:32

eddowii wrote:Thanks, however I already fixed this myself before reading your post. I did:
Code: Select all
sudo apt-get dist-upgrade

And then I installed burg.
Afterwards, I removed all of the UBUNTU PPAs, and all of the unnecessary sources.
My sources list is now the following:
Code: Select all
##

# deb cdrom:[Debian GNU/Linux 7.8.0 _Wheezy_ - Official i386 NETINST Binary-1 2$

# deb cdrom:[Debian GNU/Linux 7.8.0 _Wheezy_ - Official i386 NETINST Binary-1 2$

# deb http://security.debian.org/ wheezy/updates main
# deb-src http://security.debian.org/ wheezy/updates main

#Edited on 10 APR 2015 15:47
deb http://ftp.uk.debian.org/debian stable main contrib non-free

P.S. I am not a n00b, I just haven't needed to use this forum before. :lol:

And you think it is a good idea to run without security support?
User avatar
fireExit
 
Posts: 559
Joined: 2014-11-20 11:22

Next

Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 10 guests

fashionable